package com.th.demo.model.ware;

import com.th.demo.model.system.SysUser;

import java.util.Date;

public class CombineRecord {
    private String id;

    private String wareName;

    private String stackName;

    private Integer orignalLayerOne;

    private Integer orignalLayerTwo;

    private Integer combineLayer;

    private String materialName;

    private String materialNo;

    private String standard;

    private String model;

    private String customerName;

    private String customerNo;

    private Double orignalCountOne;

    private Double orignalCountTwo;

    private Double combineCount;

    private Double orignalWeightOne;

    private Double orignalWeightTwo;

    private Double combineWeight;

    private String remark;

    private SysUser addUser;

    private Date addTime;

    private String modifyId;

    private Date modifyTime;

    private String cancelId;

    private Date cancelTime;

    private String cancelFlag;

    private String belongId;

    private String plateNo;

    private String inId;

    private String orignalStoreIdOne;

    private String orignalStoreIdTwo;

    private String receiveAddress;

    private String combineStoreId;

    private String wgtDcnMtcCd;

    private String edgeTy;

    private String productionPlace;

    public String getWgtDcnMtcCd() {
        return wgtDcnMtcCd;
    }

    public void setWgtDcnMtcCd(String wgtDcnMtcCd) {
        this.wgtDcnMtcCd = wgtDcnMtcCd;
    }

    public String getEdgeTy() {
        return edgeTy;
    }

    public void setEdgeTy(String edgeTy) {
        this.edgeTy = edgeTy;
    }

    public String getProductionPlace() {
        return productionPlace;
    }

    public void setProductionPlace(String productionPlace) {
        this.productionPlace = productionPlace;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getWareName() {
        return wareName;
    }

    public void setWareName(String wareName) {
        this.wareName = wareName == null ? null : wareName.trim();
    }

    public String getStackName() {
        return stackName;
    }

    public void setStackName(String stackName) {
        this.stackName = stackName == null ? null : stackName.trim();
    }

    public Integer getOrignalLayerOne() {
        return orignalLayerOne;
    }

    public void setOrignalLayerOne(Integer orignalLayerOne) {
        this.orignalLayerOne = orignalLayerOne;
    }

    public Integer getOrignalLayerTwo() {
        return orignalLayerTwo;
    }

    public void setOrignalLayerTwo(Integer orignalLayerTwo) {
        this.orignalLayerTwo = orignalLayerTwo;
    }

    public Integer getCombineLayer() {
        return combineLayer;
    }

    public void setCombineLayer(Integer combineLayer) {
        this.combineLayer = combineLayer;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName == null ? null : materialName.trim();
    }

    public String getMaterialNo() {
        return materialNo;
    }

    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo == null ? null : materialNo.trim();
    }

    public String getStandard() {
        return standard;
    }

    public void setStandard(String standard) {
        this.standard = standard == null ? null : standard.trim();
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model == null ? null : model.trim();
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName == null ? null : customerName.trim();
    }

    public String getCustomerNo() {
        return customerNo;
    }

    public void setCustomerNo(String customerNo) {
        this.customerNo = customerNo == null ? null : customerNo.trim();
    }

    public Double getOrignalCountOne() {
        return orignalCountOne;
    }

    public void setOrignalCountOne(Double orignalCountOne) {
        this.orignalCountOne = orignalCountOne;
    }

    public Double getOrignalCountTwo() {
        return orignalCountTwo;
    }

    public void setOrignalCountTwo(Double orignalCountTwo) {
        this.orignalCountTwo = orignalCountTwo;
    }

    public Double getCombineCount() {
        return combineCount;
    }

    public void setCombineCount(Double combineCount) {
        this.combineCount = combineCount;
    }

    public Double getOrignalWeightOne() {
        return orignalWeightOne;
    }

    public void setOrignalWeightOne(Double orignalWeightOne) {
        this.orignalWeightOne = orignalWeightOne;
    }

    public Double getOrignalWeightTwo() {
        return orignalWeightTwo;
    }

    public void setOrignalWeightTwo(Double orignalWeightTwo) {
        this.orignalWeightTwo = orignalWeightTwo;
    }

    public Double getCombineWeight() {
        return combineWeight;
    }

    public void setCombineWeight(Double combineWeight) {
        this.combineWeight = combineWeight;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public SysUser getAddUser() {
        return addUser;
    }

    public void setAddUser(SysUser addUser) {
        this.addUser = addUser;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public String getModifyId() {
        return modifyId;
    }

    public void setModifyId(String modifyId) {
        this.modifyId = modifyId == null ? null : modifyId.trim();
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getCancelId() {
        return cancelId;
    }

    public void setCancelId(String cancelId) {
        this.cancelId = cancelId == null ? null : cancelId.trim();
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    public String getCancelFlag() {
        return cancelFlag;
    }

    public void setCancelFlag(String cancelFlag) {
        this.cancelFlag = cancelFlag == null ? null : cancelFlag.trim();
    }

    public String getBelongId() {
        return belongId;
    }

    public void setBelongId(String belongId) {
        this.belongId = belongId == null ? null : belongId.trim();
    }

    public String getPlateNo() {
        return plateNo;
    }

    public void setPlateNo(String plateNo) {
        this.plateNo = plateNo == null ? null : plateNo.trim();
    }

    public String getInId() {
        return inId;
    }

    public void setInId(String inId) {
        this.inId = inId == null ? null : inId.trim();
    }

    public String getOrignalStoreIdOne() {
        return orignalStoreIdOne;
    }

    public void setOrignalStoreIdOne(String orignalStoreIdOne) {
        this.orignalStoreIdOne = orignalStoreIdOne == null ? null : orignalStoreIdOne.trim();
    }

    public String getOrignalStoreIdTwo() {
        return orignalStoreIdTwo;
    }

    public void setOrignalStoreIdTwo(String orignalStoreIdTwo) {
        this.orignalStoreIdTwo = orignalStoreIdTwo == null ? null : orignalStoreIdTwo.trim();
    }

    public String getReceiveAddress() {
        return receiveAddress;
    }

    public void setReceiveAddress(String receiveAddress) {
        this.receiveAddress = receiveAddress == null ? null : receiveAddress.trim();
    }

    public String getCombineStoreId() {
        return combineStoreId;
    }

    public void setCombineStoreId(String combineStoreId) {
        this.combineStoreId = combineStoreId == null ? null : combineStoreId.trim();
    }
}